/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */ 

#pragma once
#include "../../libs.h"
#include "../../display/camera.h"
#include "../../display/shader.h"
#include "../../display/font.h"
#include "../../display/primitive.h"
#include "../../display/renderlist.h"
#include "../../display/texture.h"

#define GRID_BRUH_COUNT 1

typedef struct {
  float x, y, width, height;
} gridbruh_t;

typedef struct {
  camera_t camera;

  primitive_t primitive;
  texture_t texture;
  shader_t shader;

  gridbruh_t items[GRID_BRUH_COUNT];
} sandboxscene_t;