/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "../game/game.h"
#include "framebuffer.h"
#include "primitive.h"
#include "shader.h"
#include "camera.h"
#include "primitives/quad.h"
#include "../util/dynarray.h"

void renderListInit(renderlist_t *list, int32_t passes, int32_t width, int32_t height);
renderpass_t * renderListGetPass(renderlist_t *list, int32_t pass);
int32_t renderPassAdd(renderlist_t *list);
void renderListRenderPass(
  renderlist_t *list, engine_t *engine,
  camera_t *camera, int32_t pass, dynarray_t *items
);

void renderListRender(renderlist_t *list, engine_t *engine, shader_t *shader);